For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTConnect device
      • POSTDisconnect device
      • GETList accounts
      • GETList projects for account

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceApplications Auth

List projects for account

Deprecated
GET
https://api.frame.io/v2/devices/accounts/:account_id/projects
GET
/v2/devices/accounts/:account_id/projects
1import requests
2
3url = "https://api.frame.io/v2/devices/accounts/account_id/projects"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.get(url, json=payload, headers=headers)
12
13print(response.json())
1[
2 {
3 "_type": "project",
4 "id": "921480ec-1225-424a-9447-19c61a3a1ef2",
5 "name": "Match Recordings"
6 },
7 {
8 "_type": "project",
9 "id": "ed5dbf4a-f146-416b-add0-74de98201876",
10 "name": "Year Book Material"
11 }
12]
List available Projects to pair your C2C device with.
Was this page helpful?
Previous

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Response headers

x-ratelimit-limitdouble

The number of times you can make this call within the x-ratelimit-window

x-ratelimit-remainingstring

The number of remaining times you can make this API call in the x-ratelimit-window

x-ratelimit-windowstring
The length in milliseconds of the rate limit window

Response

Example response
_typeenum
Type of the returned object.
Allowed values:
idstringformat: "uuid"
Frame.io project ID
namestring1-250 characters
Name of the Frame.io project

Errors

403
Forbidden Error
404
Not Found Error